Package io.papermc.paper.event.block

# Class BeaconActivatedEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
io.papermc.paper.event.block.BeaconActivatedEvent

public class BeaconActivatedEvent extends BlockEvent
Called when a beacon is activated. Activation occurs when the beacon beam becomes visible.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BeaconActivatedEvent(@NotNull Block block)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Beacon`
`getBeacon()`
Returns the beacon that was activated.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeaconActivatedEvent

public BeaconActivatedEvent(@NotNull @NotNull Block block)

## Method Details

### getBeacon

@NotNull public @NotNull Beacon getBeacon()
Returns the beacon that was activated.

Returns:
  the beacon that was activated.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()